package org.gcube.application.geoportal.common.model.legacy;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@EqualsAndHashCode
public abstract class PersistedContent {

	//Generic Info
	private long id;	

	private AssociatedContent associated;

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("PersistedContent [id=");
		builder.append(id);
		if(associated==null) {
			builder.append(", associated=");
			builder.append(associated);
		}else {
			builder.append(", OWNER-associated-id=");
			builder.append(associated.getId());
		}
		builder.append("]");
		return builder.toString();
	}
	
	
	
}
